<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: ActivationLayerInfo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classarm__compute_1_1_activation_layer_info.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">ActivationLayerInfo Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Activation Layer Information class.  
 <a href="classarm__compute_1_1_activation_layer_info.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_types_8h_source.xhtml">Types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a56297e0f7b215eea46c818cb7528d9ea"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9ea">ActivationFunction</a> { <br />
&#160;&#160;<a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9eaa72ee60fba0509af07cbbd91398d8db9d">LOGISTIC</a>, 
<a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9eaa143c8c6f51b9bb893ce71e38702e3cc1">TANH</a>, 
<a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9eaad346bb4679d29be241279f15d7795c1c">RELU</a>, 
<a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9eaacc516ab03b98f1c908ddf6ed4a7c45e9">BOUNDED_RELU</a>, 
<br />
&#160;&#160;<a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9eaadcc44a50c791a591c74e00ecdda7c58d">SOFT_RELU</a>, 
<a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9eaa7d8a220d2262f9d6c658d549ee12cf2c">ABS</a>, 
<a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9eaa12dec4e1f7ec620651b2b95c440ffac0">SQUARE</a>, 
<a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9eaa36875f2500a09ee35d0bb7eb8c0b91b0">SQRT</a>, 
<br />
&#160;&#160;<a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9eaaaac544aacc3615aada24897a215f5046">LINEAR</a>
<br />
 }<tr class="memdesc:a56297e0f7b215eea46c818cb7528d9ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Available activation functions.  <a href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9ea">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:a56297e0f7b215eea46c818cb7528d9ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af56abff12f887fddfa02e0bc18a318a1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#af56abff12f887fddfa02e0bc18a318a1">ActivationLayerInfo</a> (<a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9ea">ActivationFunction</a> f, float <a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a55beddf67f69fc5312961b1b112560fb">a</a>=0.0f, float b=0.0f)</td></tr>
<tr class="memdesc:af56abff12f887fddfa02e0bc18a318a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default Constructor.  <a href="#af56abff12f887fddfa02e0bc18a318a1">More...</a><br /></td></tr>
<tr class="separator:af56abff12f887fddfa02e0bc18a318a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63e05ce4946dd9807c005c1619fa337a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9ea">ActivationFunction</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a63e05ce4946dd9807c005c1619fa337a">activation</a> () const </td></tr>
<tr class="separator:a63e05ce4946dd9807c005c1619fa337a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55beddf67f69fc5312961b1b112560fb"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a55beddf67f69fc5312961b1b112560fb">a</a> () const </td></tr>
<tr class="separator:a55beddf67f69fc5312961b1b112560fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af28869d53fbe340640044d672b29ba7c"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#af28869d53fbe340640044d672b29ba7c">b</a> () const </td></tr>
<tr class="separator:af28869d53fbe340640044d672b29ba7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Activation Layer Information class. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00434">434</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="a56297e0f7b215eea46c818cb7528d9ea"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9ea">ActivationFunction</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Available activation functions. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a56297e0f7b215eea46c818cb7528d9eaa72ee60fba0509af07cbbd91398d8db9d"></a>LOGISTIC&#160;</td><td class="fielddoc">
<p>Logistic. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a56297e0f7b215eea46c818cb7528d9eaa143c8c6f51b9bb893ce71e38702e3cc1"></a>TANH&#160;</td><td class="fielddoc">
<p>Hyperbolic tangent. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a56297e0f7b215eea46c818cb7528d9eaad346bb4679d29be241279f15d7795c1c"></a>RELU&#160;</td><td class="fielddoc">
<p>Rectifier. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a56297e0f7b215eea46c818cb7528d9eaacc516ab03b98f1c908ddf6ed4a7c45e9"></a>BOUNDED_RELU&#160;</td><td class="fielddoc">
<p>Bounded Rectifier. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a56297e0f7b215eea46c818cb7528d9eaadcc44a50c791a591c74e00ecdda7c58d"></a>SOFT_RELU&#160;</td><td class="fielddoc">
<p>Soft Rectifier. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a56297e0f7b215eea46c818cb7528d9eaa7d8a220d2262f9d6c658d549ee12cf2c"></a>ABS&#160;</td><td class="fielddoc">
<p>Absolute. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a56297e0f7b215eea46c818cb7528d9eaa12dec4e1f7ec620651b2b95c440ffac0"></a>SQUARE&#160;</td><td class="fielddoc">
<p>Square. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a56297e0f7b215eea46c818cb7528d9eaa36875f2500a09ee35d0bb7eb8c0b91b0"></a>SQRT&#160;</td><td class="fielddoc">
<p>Square root. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a56297e0f7b215eea46c818cb7528d9eaaaac544aacc3615aada24897a215f5046"></a>LINEAR&#160;</td><td class="fielddoc">
<p>Linear. </p>
</td></tr>
</table>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00438">438</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00439"></a><span class="lineno">  439</span>&#160;    {</div><div class="line"><a name="l00440"></a><span class="lineno">  440</span>&#160;        LOGISTIC,     </div><div class="line"><a name="l00441"></a><span class="lineno">  441</span>&#160;        TANH,         </div><div class="line"><a name="l00442"></a><span class="lineno">  442</span>&#160;        RELU,         </div><div class="line"><a name="l00443"></a><span class="lineno">  443</span>&#160;        BOUNDED_RELU, </div><div class="line"><a name="l00444"></a><span class="lineno">  444</span>&#160;        SOFT_RELU,    </div><div class="line"><a name="l00445"></a><span class="lineno">  445</span>&#160;        ABS,          </div><div class="line"><a name="l00446"></a><span class="lineno">  446</span>&#160;        SQUARE,       </div><div class="line"><a name="l00447"></a><span class="lineno">  447</span>&#160;        SQRT,         </div><div class="line"><a name="l00448"></a><span class="lineno">  448</span>&#160;        LINEAR        </div><div class="line"><a name="l00449"></a><span class="lineno">  449</span>&#160;    };</div></div><!-- fragment -->
</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af56abff12f887fddfa02e0bc18a318a1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml">ActivationLayerInfo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9ea">ActivationFunction</a>&#160;</td>
          <td class="paramname"><em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>a</em> = <code>0.0f</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>b</em> = <code>0.0f</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">f</td><td>The activation function to use. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">a</td><td>(Optional) The alpha parameter used by some activation functions (<a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9eaacc516ab03b98f1c908ddf6ed4a7c45e9">ActivationFunction::BOUNDED_RELU</a>, <a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9eaaaac544aacc3615aada24897a215f5046">ActivationFunction::LINEAR</a>, <a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9eaa143c8c6f51b9bb893ce71e38702e3cc1">ActivationFunction::TANH</a>). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">b</td><td>(Optional) The beta parameter used by some activation functions (<a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9eaaaac544aacc3615aada24897a215f5046">ActivationFunction::LINEAR</a>, <a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9eaa143c8c6f51b9bb893ce71e38702e3cc1">ActivationFunction::TANH</a>). </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00458">458</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00459"></a><span class="lineno">  459</span>&#160;        : _act(f), _a(<a class="code" href="classarm__compute_1_1_activation_layer_info.xhtml#a55beddf67f69fc5312961b1b112560fb">a</a>), _b(<a class="code" href="classarm__compute_1_1_activation_layer_info.xhtml#af28869d53fbe340640044d672b29ba7c">b</a>)</div><div class="line"><a name="l00460"></a><span class="lineno">  460</span>&#160;    {</div><div class="line"><a name="l00461"></a><span class="lineno">  461</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_activation_layer_info_xhtml_af28869d53fbe340640044d672b29ba7c"><div class="ttname"><a href="classarm__compute_1_1_activation_layer_info.xhtml#af28869d53fbe340640044d672b29ba7c">arm_compute::ActivationLayerInfo::b</a></div><div class="ttdeci">float b() const </div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00470">Types.h:470</a></div></div>
<div class="ttc" id="classarm__compute_1_1_activation_layer_info_xhtml_a55beddf67f69fc5312961b1b112560fb"><div class="ttname"><a href="classarm__compute_1_1_activation_layer_info.xhtml#a55beddf67f69fc5312961b1b112560fb">arm_compute::ActivationLayerInfo::a</a></div><div class="ttdeci">float a() const </div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00466">Types.h:466</a></div></div>
</div><!-- fragment -->
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a55beddf67f69fc5312961b1b112560fb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float a </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00466">466</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00467"></a><span class="lineno">  467</span>&#160;    {</div><div class="line"><a name="l00468"></a><span class="lineno">  468</span>&#160;        <span class="keywordflow">return</span> _a;</div><div class="line"><a name="l00469"></a><span class="lineno">  469</span>&#160;    }</div></div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a63e05ce4946dd9807c005c1619fa337a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9ea">ActivationFunction</a> activation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00462">462</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00463"></a><span class="lineno">  463</span>&#160;    {</div><div class="line"><a name="l00464"></a><span class="lineno">  464</span>&#160;        <span class="keywordflow">return</span> _act;</div><div class="line"><a name="l00465"></a><span class="lineno">  465</span>&#160;    }</div></div><!-- fragment -->
</div>
</div>
<a class="anchor" id="af28869d53fbe340640044d672b29ba7c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float b </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00470">470</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00471"></a><span class="lineno">  471</span>&#160;    {</div><div class="line"><a name="l00472"></a><span class="lineno">  472</span>&#160;        <span class="keywordflow">return</span> _b;</div><div class="line"><a name="l00473"></a><span class="lineno">  473</span>&#160;    }</div></div><!-- fragment -->
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>arm_compute/core/<a class="el" href="_types_8h_source.xhtml">Types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml">ActivationLayerInfo</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
